package com.ruoyi.system.domain.project;

import java.math.BigDecimal;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 两区及乡镇单位部门招商计划对象 bm_dept_plan_area
 * 
 * @author ruoyi
 * @date 2021-07-05
 */
public class BmDeptPlanArea extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** id* */
    private Long id;

    /** 部门id* */
    //@Excel(name = "部门id*")
    private Long sysDeptId;

    /** 是否删除(0未删除、1已删除)* */
    //@Excel(name = "是否删除(0未删除、1已删除)*")
    private Long isDel;

    /**
     * 部门名称
     */
    @Excel(name = "部门名称")
    private String deptName;
    /** 年份 */
    @Excel(name = "年份")
    private String year;

    /** 新签约亿元以上项目数 */
    @Excel(name = "新签约亿元以上项目数")
    private BigDecimal projectMillionNum;

    /** 工业项目数 */
    @Excel(name = "工业项目数")
    private Integer projectIndustryNum;

    /** 1～5亿元项目 */
    @Excel(name = "1～5亿元项目")
    private Integer projectOneNum;

    /** 5～10亿元项目 */
    @Excel(name = "5～10亿元项目")
    private Integer projectTwoNum;

    /** 10亿元以上 */
    @Excel(name = "10亿元以上")
    private Integer projectThrNum;

    /** 15亿元以上 */
    @Excel(name = "15亿元以上")
    private Integer projectFourNum;

    /** 20亿元以上 */
    @Excel(name = "20亿元以上")
    private Integer projectFiveNum;

    /** 实际利用市外资金（亿元） */
    @Excel(name = "实际利用市外资金", readConverterExp = "亿=元")
    private BigDecimal projectCityMoney;

    /** 入省库项目(个数) */
    @Excel(name = "入省库项目(个数)")
    private Integer projectProNum;

    /** 十大新兴产业项目数(个数) */
    @Excel(name = "十大新兴产业项目数(个数)")
    private Integer projectRisNum;

    /** 现代服务业项目数(个数) */
    @Excel(name = "现代服务业项目数(个数)")
    private Integer projectSerNum;

    /** 15亿元以上项目数(个数) */
    @Excel(name = "15亿元以上项目数(个数)")
    private Integer projectProFiveNum;

    /** 500强投资新注册公司数(个数) */
    @Excel(name = "500强投资新注册公司数(个数)")
    private Integer projectInvestmentNum;

    /** 入统(个数) */
    @Excel(name = "入统(个数)")
    private Integer projectIntegrationNum;

    /** 小升规(个数) */
    @Excel(name = "小升规(个数)")
    private Integer projectSmallNum;

    /** 新入规(个数) */
    @Excel(name = "新入规(个数)")
    private Integer projectNewNum;



    public String getDeptName() {
        return deptName;
    }

    public void setDeptName(String deptName) {
        this.deptName = deptName;
    }

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }

    public void setYear(String year) 
    {
        this.year = year;
    }

    public String getYear() 
    {
        return year;
    }
    public void setProjectMillionNum(BigDecimal projectMillionNum) 
    {
        this.projectMillionNum = projectMillionNum;
    }

    public BigDecimal getProjectMillionNum() 
    {
        return projectMillionNum;
    }
    public void setProjectIndustryNum(Integer projectIndustryNum) 
    {
        this.projectIndustryNum = projectIndustryNum;
    }

    public Integer getProjectIndustryNum() 
    {
        return projectIndustryNum;
    }
    public void setProjectOneNum(Integer projectOneNum) 
    {
        this.projectOneNum = projectOneNum;
    }

    public Integer getProjectOneNum() 
    {
        return projectOneNum;
    }
    public void setProjectTwoNum(Integer projectTwoNum) 
    {
        this.projectTwoNum = projectTwoNum;
    }

    public Integer getProjectTwoNum() 
    {
        return projectTwoNum;
    }
    public void setProjectThrNum(Integer projectThrNum) 
    {
        this.projectThrNum = projectThrNum;
    }

    public Integer getProjectThrNum() 
    {
        return projectThrNum;
    }
    public void setProjectFourNum(Integer projectFourNum) 
    {
        this.projectFourNum = projectFourNum;
    }

    public Integer getProjectFourNum() 
    {
        return projectFourNum;
    }
    public void setProjectFiveNum(Integer projectFiveNum) 
    {
        this.projectFiveNum = projectFiveNum;
    }

    public Integer getProjectFiveNum() 
    {
        return projectFiveNum;
    }
    public void setProjectCityMoney(BigDecimal projectCityMoney) 
    {
        this.projectCityMoney = projectCityMoney;
    }

    public BigDecimal getProjectCityMoney() 
    {
        return projectCityMoney;
    }
    public void setProjectProNum(Integer projectProNum) 
    {
        this.projectProNum = projectProNum;
    }

    public Integer getProjectProNum() 
    {
        return projectProNum;
    }
    public void setProjectRisNum(Integer projectRisNum) 
    {
        this.projectRisNum = projectRisNum;
    }

    public Integer getProjectRisNum() 
    {
        return projectRisNum;
    }
    public void setProjectSerNum(Integer projectSerNum) 
    {
        this.projectSerNum = projectSerNum;
    }

    public Integer getProjectSerNum() 
    {
        return projectSerNum;
    }
    public void setProjectProFiveNum(Integer projectProFiveNum) 
    {
        this.projectProFiveNum = projectProFiveNum;
    }

    public Integer getProjectProFiveNum() 
    {
        return projectProFiveNum;
    }
    public void setProjectInvestmentNum(Integer projectInvestmentNum) 
    {
        this.projectInvestmentNum = projectInvestmentNum;
    }

    public Integer getProjectInvestmentNum() 
    {
        return projectInvestmentNum;
    }
    public void setProjectIntegrationNum(Integer projectIntegrationNum) 
    {
        this.projectIntegrationNum = projectIntegrationNum;
    }

    public Integer getProjectIntegrationNum() 
    {
        return projectIntegrationNum;
    }
    public void setProjectSmallNum(Integer projectSmallNum) 
    {
        this.projectSmallNum = projectSmallNum;
    }

    public Integer getProjectSmallNum() 
    {
        return projectSmallNum;
    }
    public void setProjectNewNum(Integer projectNewNum) 
    {
        this.projectNewNum = projectNewNum;
    }

    public Integer getProjectNewNum() 
    {
        return projectNewNum;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("sysDeptId", getSysDeptId())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("isDel", getIsDel())
            .append("year", getYear())
            .append("projectMillionNum", getProjectMillionNum())
            .append("projectIndustryNum", getProjectIndustryNum())
            .append("projectOneNum", getProjectOneNum())
            .append("projectTwoNum", getProjectTwoNum())
            .append("projectThrNum", getProjectThrNum())
            .append("projectFourNum", getProjectFourNum())
            .append("projectFiveNum", getProjectFiveNum())
            .append("projectCityMoney", getProjectCityMoney())
            .append("projectProNum", getProjectProNum())
            .append("projectRisNum", getProjectRisNum())
            .append("projectSerNum", getProjectSerNum())
            .append("projectProFiveNum", getProjectProFiveNum())
            .append("projectInvestmentNum", getProjectInvestmentNum())
            .append("projectIntegrationNum", getProjectIntegrationNum())
            .append("projectSmallNum", getProjectSmallNum())
            .append("projectNewNum", getProjectNewNum())
            .append("remark", getRemark())
            .toString();
    }
}
